## org.eclipse.datatools.enablement.sybase
Interface IGenericDdlConstants

All Known Implementing Classes:
  ASADdlUtils, ASAProcedureSourceUpdater, ASARoutineSourceUpdater, ASATriggerSourceUpdater, ASEDdlUtils, RoutineSourceUpdater, SybaseASAEventDeltaDdlGenProvider, SybaseASAFunctionDeltaDdlGenProvider, SybaseASAProcedureDeltaDdlGenProvider, SybaseASATriggerDeltaDdlGenProvider, SybaseASEDdlGenerator, SybaseASESQLUtil, SybaseDdlUtils, TriggerSourceUpdater

    public interface IGenericDdlConstants

Field Summary
`static java.lang.String` `ADD`
`static java.lang.String` `AFTER`
`static java.lang.String` `ALIAS`
`static java.lang.String` `ALTER`
`static java.lang.String` `AS`
`static java.lang.String` `BEFORE`
`static java.lang.String` `BLOB`
`static java.lang.String` `CASCADE`
`static java.lang.String` `CASCADED`
`static java.lang.String` `CHECK`
`static java.lang.String` `CLOB`
`static java.lang.String` `COMMA`
`static java.lang.String` `COMPARISONS`
`static java.lang.String` `CONSTRAINT`
`static java.lang.String` `CREATE`
`static java.lang.String` `DATALINK`
`static java.lang.String` `DBCLOB`
`static java.lang.String` `DEFAULT`
`static java.lang.String` `DEFERRABLE`
`static java.lang.String` `DEFERRED`
`static java.lang.String` `DELETE`
`static java.lang.String` `DOT`
`static java.lang.String` `DOUBLE_QUOTE`
`static java.lang.String` `DROP`
`static java.lang.String` `EACH`
`static java.lang.String` `EMPTY_STRING`
`static java.lang.String` `FOR`
`static java.lang.String` `FOREIGN_KEY`
`static java.lang.String` `FUNCTION`
`static java.lang.String` `INDEX`
`static java.lang.String` `INITIALLY`
`static java.lang.String` `INSERT`
`static java.lang.String` `INSTEAD_OF`
`static java.lang.String` `LEFT_PARENTHESIS`
`static java.lang.String` `LOCAL`
`static java.lang.String` `LONG`
`static java.lang.String` `MODIFY`
`static java.lang.String` `NEW`
`static java.lang.String` `NEW_TABLE`
`static java.lang.String` `NEWLINE`
`static java.lang.String` `NO`
`static java.lang.String` `NOT`
`static java.lang.String` `NULL`
`static java.lang.String` `OF`
`static java.lang.String` `OLD`
`static java.lang.String` `OLD_TABLE`
`static java.lang.String` `ON`
`static java.lang.String` `OPTION`
`static java.lang.String` `PRIMARY_KEY`
`static java.lang.String` `PROCEDURE`
`static java.lang.String` `REFERENCES`
`static java.lang.String` `REFERENCING`
`static java.lang.String` `RENAME`
`static java.lang.String` `RESTRICT`
`static java.lang.String` `RIGHT_PARENTHESIS`
`static java.lang.String` `ROW`
`static java.lang.String` `SET`
`static java.lang.String` `SINGLE_QUOTE`
`static java.lang.String` `SPACE`
`static java.lang.String` `STATEMENT`
`static java.lang.String` `TAB`
`static java.lang.String` `TABLE`
`static java.lang.String` `TRIGGER`
`static java.lang.String` `TYPE`
`static java.lang.String` `UNIQUE`
`static java.lang.String` `UPDATE`
`static java.lang.String` `VARCHAR`
`static java.lang.String` `VARGRAPHIC`
`static java.lang.String` `VIEW`
`static java.lang.String` `WHEN`
`static java.lang.String` `WITH`

Field Detail

### NEWLINE

    static final java.lang.String NEWLINE

### EMPTY_STRING

    static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### DOT

    static final java.lang.String DOT

See Also:
  Constant Field Values

### SPACE

    static final java.lang.String SPACE

See Also:
  Constant Field Values

### COMMA

    static final java.lang.String COMMA

See Also:
  Constant Field Values

### SINGLE_QUOTE

    static final java.lang.String SINGLE_QUOTE

See Also:
  Constant Field Values

### DOUBLE_QUOTE

    static final java.lang.String DOUBLE_QUOTE

See Also:
  Constant Field Values

### TAB

    static final java.lang.String TAB

See Also:
  Constant Field Values

### LEFT_PARENTHESIS

    static final java.lang.String LEFT_PARENTHESIS

See Also:
  Constant Field Values

### RIGHT_PARENTHESIS

    static final java.lang.String RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### DROP

    static final java.lang.String DROP

See Also:
  Constant Field Values

### CREATE

    static final java.lang.String CREATE

See Also:
  Constant Field Values

### ALTER

    static final java.lang.String ALTER

See Also:
  Constant Field Values

### ADD

    static final java.lang.String ADD

See Also:
  Constant Field Values

### DELETE

    static final java.lang.String DELETE

See Also:
  Constant Field Values

### UPDATE

    static final java.lang.String UPDATE

See Also:
  Constant Field Values

### CASCADE

    static final java.lang.String CASCADE

See Also:
  Constant Field Values

### CASCADED

    static final java.lang.String CASCADED

See Also:
  Constant Field Values

### LOCAL

    static final java.lang.String LOCAL

See Also:
  Constant Field Values

### OPTION

    static final java.lang.String OPTION

See Also:
  Constant Field Values

### RESTRICT

    static final java.lang.String RESTRICT

See Also:
  Constant Field Values

### NULL

    static final java.lang.String NULL

See Also:
  Constant Field Values

### NOT

    static final java.lang.String NOT

See Also:
  Constant Field Values

### DEFAULT

    static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### SET

    static final java.lang.String SET

See Also:
  Constant Field Values

### TRIGGER

    static final java.lang.String TRIGGER

See Also:
  Constant Field Values

### TABLE

    static final java.lang.String TABLE

See Also:
  Constant Field Values

### VIEW

    static final java.lang.String VIEW

See Also:
  Constant Field Values

### INDEX

    static final java.lang.String INDEX

See Also:
  Constant Field Values

### PROCEDURE

    static final java.lang.String PROCEDURE

See Also:
  Constant Field Values

### FUNCTION

    static final java.lang.String FUNCTION

See Also:
  Constant Field Values

### CONSTRAINT

    static final java.lang.String CONSTRAINT

See Also:
  Constant Field Values

### UNIQUE

    static final java.lang.String UNIQUE

See Also:
  Constant Field Values

### CHECK

    static final java.lang.String CHECK

See Also:
  Constant Field Values

### TYPE

    static final java.lang.String TYPE

See Also:
  Constant Field Values

### ON

    static final java.lang.String ON

See Also:
  Constant Field Values

### FOREIGN_KEY

    static final java.lang.String FOREIGN_KEY

See Also:
  Constant Field Values

### REFERENCES

    static final java.lang.String REFERENCES

See Also:
  Constant Field Values

### PRIMARY_KEY

    static final java.lang.String PRIMARY_KEY

See Also:
  Constant Field Values

### DEFERRABLE

    static final java.lang.String DEFERRABLE

See Also:
  Constant Field Values

### DEFERRED

    static final java.lang.String DEFERRED

See Also:
  Constant Field Values

### INITIALLY

    static final java.lang.String INITIALLY

See Also:
  Constant Field Values

### ALIAS

    static final java.lang.String ALIAS

See Also:
  Constant Field Values

### AS

    static final java.lang.String AS

See Also:
  Constant Field Values

### FOR

    static final java.lang.String FOR

See Also:
  Constant Field Values

### LONG

    static final java.lang.String LONG

See Also:
  Constant Field Values

### BLOB

    static final java.lang.String BLOB

See Also:
  Constant Field Values

### DBCLOB

    static final java.lang.String DBCLOB

See Also:
  Constant Field Values

### CLOB

    static final java.lang.String CLOB

See Also:
  Constant Field Values

### VARCHAR

    static final java.lang.String VARCHAR

See Also:
  Constant Field Values

### WITH

    static final java.lang.String WITH

See Also:
  Constant Field Values

### COMPARISONS

    static final java.lang.String COMPARISONS

See Also:
  Constant Field Values

### DATALINK

    static final java.lang.String DATALINK

See Also:
  Constant Field Values

### VARGRAPHIC

    static final java.lang.String VARGRAPHIC

See Also:
  Constant Field Values

### AFTER

    static final java.lang.String AFTER

See Also:
  Constant Field Values

### BEFORE

    static final java.lang.String BEFORE

See Also:
  Constant Field Values

### INSTEAD_OF

    static final java.lang.String INSTEAD_OF

See Also:
  Constant Field Values

### INSERT

    static final java.lang.String INSERT

See Also:
  Constant Field Values

### NO

    static final java.lang.String NO

See Also:
  Constant Field Values

### OF

    static final java.lang.String OF

See Also:
  Constant Field Values

### REFERENCING

    static final java.lang.String REFERENCING

See Also:
  Constant Field Values

### NEW

    static final java.lang.String NEW

See Also:
  Constant Field Values

### OLD

    static final java.lang.String OLD

See Also:
  Constant Field Values

### NEW_TABLE

    static final java.lang.String NEW_TABLE

See Also:
  Constant Field Values

### OLD_TABLE

    static final java.lang.String OLD_TABLE

See Also:
  Constant Field Values

### EACH

    static final java.lang.String EACH

See Also:
  Constant Field Values

### ROW

    static final java.lang.String ROW

See Also:
  Constant Field Values

### STATEMENT

    static final java.lang.String STATEMENT

See Also:
  Constant Field Values

### WHEN

    static final java.lang.String WHEN

See Also:
  Constant Field Values

### RENAME

    static final java.lang.String RENAME

See Also:
  Constant Field Values

### MODIFY

    static final java.lang.String MODIFY

See Also:
  Constant Field Values